# Uses of Interface
jebl.evolution.graphs.Edge

Packages that use Edge
Package
Description
jebl.evolution.graphs
jebl.evolution.trees

## Uses of Edge in jebl.evolution.graphs

Methods in jebl.evolution.graphs that return Edge
Modifier and Type
Method
Description
`Edge`
Graph.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
Methods in jebl.evolution.graphs that return types with arguments of type Edge
Modifier and Type
Method
Description
`Set<Edge>`
Graph.`getEdges()`
`List<Edge>`
Graph.`getEdges(Node node)`
Returns a list of edges connected to this node
Methods in jebl.evolution.graphs with parameters of type Edge
Modifier and Type
Method
Description
`Node[]`
Graph.`getNodes(Edge edge)`
Returns an array of 2 nodes which are the nodes at either end of the edge.

## Uses of Edge in jebl.evolution.trees

Classes in jebl.evolution.trees that implement Edge
Modifier and Type
Class
Description
`class`
`BaseEdge`
Common implementation of Attributable interface used by Nodes.
Methods in jebl.evolution.trees that return Edge
Modifier and Type
Method
Description
`Edge`
CompactRootedTree.`getEdge(Node node1, Node node2)`
`Edge`
FilteredRootedTree.`getEdge(Node node1, Node node2)`
`Edge`
MutableRootedTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
ReRootedTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
RootedFromUnrooted.`getEdge(Node node1, Node node2)`
`Edge`
RootedSubtree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
SimpleRootedTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
SimpleTree.`getEdge(Node node1, Node node2)`
Returns the Edge that connects these two nodes
`Edge`
CompactRootedTree.`getParentEdge(Node node)`
`Edge`
MutableRootedTree.`getParentEdge(Node node)`
`Edge`
ReRootedTree.`getParentEdge(Node node)`
`Edge`
RootedSubtree.`getParentEdge(Node node)`
`Edge`
SimpleRootedTree.`getParentEdge(Node node)`
Methods in jebl.evolution.trees that return types with arguments of type Edge
Modifier and Type
Method
Description
`Set<Edge>`
CompactRootedTree.`getEdges()`
`List<Edge>`
CompactRootedTree.`getEdges(Node node)`
`Set<Edge>`
FilteredRootedTree.`getEdges()`
`List<Edge>`
FilteredRootedTree.`getEdges(Node node)`
`Set<Edge>`
MutableRootedTree.`getEdges()`
`List<Edge>`
MutableRootedTree.`getEdges(Node node)`
Returns a list of edges connected to this node
`Set<Edge>`
ReRootedTree.`getEdges()`
`List<Edge>`
ReRootedTree.`getEdges(Node node)`
Returns a list of edges connected to this node
`Set<Edge>`
RootedFromUnrooted.`getEdges()`
`List<Edge>`
RootedFromUnrooted.`getEdges(Node node)`
Returns a list of edges connected to this node
`Set<Edge>`
RootedSubtree.`getEdges()`
`List<Edge>`
RootedSubtree.`getEdges(Node node)`
Returns a list of edges connected to this node
`Set<Edge>`
SimpleRootedTree.`getEdges()`
`List<Edge>`
SimpleRootedTree.`getEdges(Node node)`
Returns a list of edges connected to this node
`Set<Edge>`
SimpleTree.`getEdges()`
`List<Edge>`
SimpleTree.`getEdges(Node node)`
Returns a list of edges connected to this node
`Set<Edge>`
CompactRootedTree.`getExternalEdges()`
`Set<Edge>`
FilteredRootedTree.`getExternalEdges()`
`Set<Edge>`
MutableRootedTree.`getExternalEdges()`
The set of external edges.
`Set<Edge>`
ReRootedTree.`getExternalEdges()`
The set of external edges.
`Set<Edge>`
RootedFromUnrooted.`getExternalEdges()`
The set of external edges.
`Set<Edge>`
RootedSubtree.`getExternalEdges()`
The set of external edges.
`Set<Edge>`
SimpleRootedTree.`getExternalEdges()`
The set of external edges.
`Set<Edge>`
SimpleTree.`getExternalEdges()`
The set of external edges.
`Set<Edge>`
Tree.`getExternalEdges()`
`Set<Edge>`
CompactRootedTree.`getInternalEdges()`
`Set<Edge>`
FilteredRootedTree.`getInternalEdges()`
`Set<Edge>`
MutableRootedTree.`getInternalEdges()`
The set of internal edges.
`Set<Edge>`
ReRootedTree.`getInternalEdges()`
The set of internal edges.
`Set<Edge>`
RootedFromUnrooted.`getInternalEdges()`
The set of internal edges.
`Set<Edge>`
RootedSubtree.`getInternalEdges()`
The set of internal edges.
`Set<Edge>`
SimpleRootedTree.`getInternalEdges()`
The set of internal edges.
`Set<Edge>`
SimpleTree.`getInternalEdges()`
The set of internal edges.
`Set<Edge>`
Tree.`getInternalEdges()`
Methods in jebl.evolution.trees with parameters of type Edge
Modifier and Type
Method
Description
`Node`
SimpleRootedTree.`addNode(Edge edge)`
Adds a new node at the midpoint of the given edge
`Node[]`
CompactRootedTree.`getNodes(Edge edge)`
`Node[]`
FilteredRootedTree.`getNodes(Edge edge)`
`Node[]`
MutableRootedTree.`getNodes(Edge edge)`
Returns an array of 2 nodes which are the nodes at either end of the edge.
`Node[]`
ReRootedTree.`getNodes(Edge edge)`
Returns an array of 2 nodes which are the nodes at either end of the edge.
`Node[]`
RootedFromUnrooted.`getNodes(Edge edge)`
`Node[]`
RootedSubtree.`getNodes(Edge edge)`
Returns an array of 2 nodes which are the nodes at either end of the edge.
`Node[]`
SimpleRootedTree.`getNodes(Edge edge)`
Returns an array of 2 nodes which are the nodes at either end of the edge.
`Node[]`
SimpleTree.`getNodes(Edge edge)`
Returns an array of 2 nodes which are the nodes at either end of the edge.
`static void`
SplitUtils.`getSplit(List<Taxon> taxa, Tree tree, Edge edge, boolean[] split)`
get split for branch associated with internal node
`boolean`
SimpleTree.`isExternal(Edge edge)`
`void`
SimpleTree.`setEdgeLength(Edge edge, double length)`
Change length of an existing edge.